<!-- 商品详情-立即购买 -->
<template>
    <app-drawer title="提示" v-model:show="show" :loading="loading" :refresh="refresh">
        <div style="font-size:16px;text-align:center">是否购买该商品？</div>
        <template #footer>
            <el-button @click="onCancel(false)" plain>取消</el-button>
            <el-button type="primary" @click="onSubmit">确认</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { useBuyOrderDesting } from '@/business/trade/desting'
import AppDrawer from '@pc/components/base/drawer/index.vue'

const props = defineProps({
    selectedRow: {
        type: Object as PropType<Ermcp.DiamondDetailsRsp>,
        required: true
    }
})

const { loading, formSubmit } = useBuyOrderDesting(props.selectedRow)
const show = shallowRef(true)
const refresh = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    formSubmit().then(() => {
        ElMessage.success('提交成功')
        onCancel(true)
    }).catch((err) => {
        ElMessage.error('提交失败：' + err)
    })
}
</script>